Summary: A GNU source-level debugger for C, C++, Java and other languages.
Name: gdb
Version: 7.8.1
Release: 1
License: GPL
Group: Development/Debuggers
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0: %{name}-%{version}-aix.patch
URL: http://gnu.org/software/gdb/
Buildroot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gcc, make, gettext
BuildRequires: expat-devel >= 2.0.0, python-devel >= 2.6.2, zlib-devel
BuildRequires: libiconv >= 1.14-2
 
Requires: info, gettext, expat >= 2.0.0, python-libs >= 2.6.2, zlib
Requires: libiconv >= 1.14-2

%description
GDB, the GNU debugger, allows you to debug programs written in C, C++,
Java, and other languages, by executing them in a controlled fashion
and printing their data.


%prep
%setup -q
%patch0


%build
export CC=gcc
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --disable-werror \
    --target powerpc-ibm-aix5.1.0.0

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

# Remove the files that are part of a gdb build but that are owned and
# provided by other packages (binutils).
rm -rf ${RPM_BUILD_ROOT}%{_datadir}
rm -f ${RPM_BUILD_ROOT}%{_infodir}/bfd* 
rm -f ${RPM_BUILD_ROOT}%{_infodir}/configure*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/standard*
rm -rf ${RPM_BUILD_ROOT}%{_includedir}
rm -rf ${RPM_BUILD_ROOT}%{_libdir}

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/annotate.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/gdb.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/gdbint.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/stabs.info.gz %{_infodir}/dir || :


%preun
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/annotate.info.gz %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/gdb.info.gz %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/gdbint.info.gz %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/stabs.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING COPYING.LIB README gdb/NEWS
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Wed Oct 29 2014 Michael Perzl <michael@perzl.org> - 7.8.1-1
- updated to version 7.8.1

* Tue Jul 29 2014 Michael Perzl <michael@perzl.org> - 7.8-1
- updated to version 7.8

* Tue May 06 2014 Michael Perzl <michael@perzl.org> - 7.7.1-1
- updated to version 7.7.1

* Thu Feb 06 2014 Michael Perzl <michael@perzl.org> - 7.7-1
- updated to version 7.7

* Tue Dec 10 2013 Michael Perzl <michael@perzl.org> - 7.6.2-1
- updated to version 7.6.2

* Wed Sep 04 2013 Michael Perzl <michael@perzl.org> - 7.6.1-1
- updated to version 7.6.1

* Fri Apr 26 2013 Michael Perzl <michael@perzl.org> - 7.6-1
- updated to version 7.6

* Sat Dec 01 2012 Michael Perzl <michael@perzl.org> - 7.5.1-1
- updated to version 7.5.1

* Tue Aug 21 2012 Michael Perzl <michael@perzl.org> - 7.5-1
- updated to version 7.5

* Thu Apr 26 2012 Michael Perzl <michael@perzl.org> - 7.4.1-1
- updated to version 7.4.1

* Fri Jan 27 2012 Michael Perzl <michael@perzl.org> - 7.4-1
- updated to version 7.4

* Wed Sep 07 2011 Michael Perzl <michael@perzl.org> - 7.3.1-1
- updated to version 7.3.1

* Wed Aug 24 2011 Michael Perzl <michael@perzl.org> - 7.3a-1
- updated to version 7.3a

* Wed Jul 27 2011 Michael Perzl <michael@perzl.org> - 7.3-1
- updated to version 7.3

* Fri Sep 03 2010 Michael Perzl <michael@perzl.org> - 7.2-1
- updated to version 7.2

* Fri Sep 03 2010 Michael Perzl <michael@perzl.org> - 7.1-1
- updated to version 7.1

* Fri Sep 03 2010 Michael Perzl <michael@perzl.org> - 7.0.1-1
- updated to version 7.0.1
- removed dependency on gettext >= 0.17

* Wed Apr 23 2008 Michael Perzl <michael@perzl.org> - 6.8-1
- updated to version 6.8

* Wed Mar 31 2008 Michael Perzl <michael@perzl.org> - 6.7.1-2
- rebuilt against new version of expat

* Wed Mar 05 2008 Michael Perzl <michael@perzl.org> - 6.7.1-1
- first version for AIX V5.1 and higher
